<?php include('header.php'); ?>

<?php
// arrays containint data for dropdown data
$months = array("Select Month", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
$days = range(1, 31);
$years = range(date("Y"), 1900);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Registration Form</title>

	<!-- inline styles, couldn't get external stylesheets to work on sois -->
	<style>
			body {
				font-family: Arial, sans-serif;
				background-color: #f4f4f4;
				margin: 0;
				padding: 0;
				display: flex;
				flex-direction: column;
				align-items: center;
			}
			header {
				background-color: #333;
				color: white;
				padding: 20px;
				text-align: center;
				width: 100%;
			}
			form {
				background: white;
				padding: 20px;
				border-radius: 8px;
				box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
				display: flex;
				flex-direction: column;
				gap: 10px;
				width: 400px;
			}
			label {
				font-weight: bold;
			}
			input, select, textarea {
				width: 100%;
				padding: 8px;
				margin: 5px 0;
				border: 1px solid #ccc;
				border-radius: 5px;
			}
			textarea {
				height: 100px;
			}
			input[type="radio"], input[type="checkbox"] {
				width: auto;
				margin-right: 5px;
			}
			input[type="submit"] {
				background-color: #28a745;
				color: white;
				border: none;
				padding: 10px;
				cursor: pointer;
				font-size: 16px;
				border-radius: 5px;
			}
			input[type="submit"]:hover {
				background-color: #218838;
			}
			footer {
				background-color: #333;
				color: white;
				text-align: center;
				padding: 10px;
				width: 100%;
				bottom: 0;
			}
		</style>
	
</head>
<body>
    <h2>Gamer Registration Form</h2>
	<br />
	<p>Fields with an * are required.</p>
    <form action="process.php" method="post">
        <!-- text fields for name entry -->
        <label for="name">* Full Name:</label>
        <input type="text" name="name" required><br>

		<!-- text fields for email entry -->
        <label for="email">* Email:</label>
        <input type="email" name="email" required><br>

		<!-- text fields for user name entry -->
        <label for="gamertag">* Desired Gamertag:</label>
        <input type="text" name="gamertag" required><br>

        <!-- date drop-down using $moths, $days, $years -->
        <label>* Date of Birth:</label>
        <select name="month" required>
			<!-- shortcode iteration for months -->
            <?php foreach ($months as $month) { echo "<option value='$month'>$month</option>"; } ?>
        </select>
        <select name="day" required>
            <option value="">Select Day</option>
			<!-- shortcode iteration for days -->
            <?php foreach ($days as $day) { echo "<option value='$day'>$day</option>"; } ?>
        </select>
        <select name="year" required>
            <option value="">Select Year</option>
			<!-- shortcode iteration for year -->
            <?php foreach ($years as $year) { echo "<option value='$year'>$year</option>"; } ?>
        </select>
        <br>

        <!-- radio button entry for gender -->
        <label>* Gender:</label>
        <input type="radio" name="gender" value="Male" required> Male
        <input type="radio" name="gender" value="Female" required> Female
		<input type="radio" name="gender" value="Nonbinary" required> Nonbinary
        <input type="radio" name="gender" value="Other" required> Other
        <br>

        <!-- checkboxes for special interests -->
        <label>* Special Interests:</label><br>
        <input type="checkbox" name="interests[]" value="Coding"> Coding<br>
        <input type="checkbox" name="interests[]" value="Gaming"> Gaming<br>
        <input type="checkbox" name="interests[]" value="Reading"> Reading<br>
		<input type="checkbox" name="interests[]" value="Outdoors"> Outdoors</br>

        <!-- textarea for additional comments -->
        <label for="comments">* Additional Comments:</label>
        <textarea name="comments" required></textarea><br>

        <!-- button that submits the form to process.php -->
        <input type="submit" value="Register">
    </form>
</body>
</html>

<?php include('footer.php'); ?>
